- Retrieves payment session details by ID
GET {{baseURL}}/pay-int-api/payment-sessions/{{paymentSessionId}}
This endpoint retrieves the details of the specified payment session.
See Also:
To create a payment session, see POST /pay-int-api/payment-sessions.
To cancel a payment session, see POST /pay-int-api/payment-sessions/{paymentSessionId}/cancel.
- Mock serverhttps://developer.flute.com/_mock/api-reference/pay-int-api/payment-sessions/{paymentSessionId}
- Sandbox environmenthttps://sandbox.api.flute.com/pay-int-api/payment-sessions/{paymentSessionId}
- Production environmenthttps://api.flute.com/pay-int-api/payment-sessions/{paymentSessionId}
// Language is not supported.OK
Indicates the payment session status.
Valid values are:
| Value | Status | Description |
|---|---|---|
| 1 | Created | Payment session was initialized but not yet processed. |
| 2 | Cancelled | Payment session was cancelled before completion. |
| 3 | Completed | Payment session was completed. Check transaction details to verify if the payment was approved or not. |
| 4 | Failed | Payment was attempted but did not succeed. A new session must be created for a new payment attempt. |
| 5 | Expired | Payment session expired before being completed. |
Example: 3
Indicates the payment session status.
Valid values are:
| Status | Value | Description |
|---|---|---|
| Created | 1 | Payment session was initialized but not yet processed. |
| Cancelled | 2 | Payment session was cancelled before completion. |
| Completed | 3 | Payment session was completed. Check transaction details to verify if the payment was approved or not. |
| Failed | 4 | Payment was attempted but did not succeed. A new session must be created for a new payment attempt. |
| Expired | 5 | Payment session expired before being completed. |
Example: Completed
Indicates the customer identifier.
This was used when saving the payment method.
If this value was provided, the payment method was saved to the specified customer.
If this value was not provided, a new customer record was created.
Example: fd9198a4-eb6f-4620-9603-4f4638289de5
Specifies the intent of the session.
Defaults to Payment if omitted.
| Value | Name | Description |
|---|---|---|
| 1 | Payment | Standard payment session. |
| 2 | SaveMethod | Vault-only session to store a payment method. |
| 3 | PaymentAndSave | Charge the payment and save the method. |
Example: 2
Indicates to bypass the AVS (address verification service) in the payment gateway.
This value is applicable only to Payment and PaymentAndSave from mode.
If true, bypasses AVS in the payment gateway.
If false, does not bypass AVS in the payment gateway.
Example: true
Specifies an external transaction identifier for client-side tracking.
Also used in duplicate control validation. A unique value allows similar transactions to process as distinct, bypassing duplicate blocking when needed.
Example: 10001
Indicates the tax rate percentage pinned on the session.
Omitted when the session has no tax configured. Always set and cleared together with taxMode.
Example: 8.25 (for 8.25%)
Indicates whether the amount already includes the tax or the tax was added on top of it.
Omitted when the session has no tax configured. Always set and cleared together with taxRate.
| Value | Name | Description |
|---|---|---|
| 1 | Exclusive | The tax was added on top of amount. The payer was charged amount plus the tax. |
| 2 | Inclusive | The amount already included the tax. No extra amount was added. |
Example: 1
Indicates the identifier of the vaulted payment method when the session involves saving or using a stored payment method.
Example: 990a65f4-519c-44f9-a615-fc9c7781190c
{ "statusId": 3, "status": "Completed", "customerId": "fd9198a4-eb6f-4620-9603-4f4638289de5", "mode": 2, "skipAddressVerification": true, "referenceId": "10001", "taxRate": 8.25, "taxMode": 1, "vaultedPaymentMethodId": "990a65f4-519c-44f9-a615-fc9c7781190c", "transactionDetails": { "transactionReceiptUrl": "string", "transactionReceiptShortUrl": "string", "source": { "typeId": 1, "type": "Api", "id": "5c6d7e8f-9a0b-4c1d-8e2f-3a4b5c6d7e81", "name": "Terminal 12", "version": "2.1.0" }, "transactionReceipt": { "transactionId": "c7c15dd0-03e7-4e55-917c-54bedafba5e7", "transactionDateTime": "2026-02-19T20:24:52.934Z", "amount": { "baseAmount": 129.99, "percentageOffAmount": 12.5, "percentageOffRate": 3.5, "cashDiscountAmount": 10.55, "cashDiscountRate": 1.5, "surchargeAmount": 6.45, "surchargeRate": 1.5, "tipAmount": 14.5, "tipRate": 15, "totalAmount": 3219.45 }, "currencyId": 1, "currency": "USD", "processorId": "ef08c4d5-6e7f-4a8b-9c0d-1e2f3a4b5c81", "processor": "Processor Name", "operationTypeId": 1, "operationType": "PayNow", "paymentMethodTypeId": 2, "paymentMethodType": "Card", "transactionTypeId": 5, "transactionType": "Refund", "customerId": "fd9198a4-eb6f-4620-9603-4f4638289de5", "customerPan": "************4512", "cardTokenType": 2, "statusId": 2, "status": "Captured", "merchantName": "Peppared Street Cafe", "merchantAddress": "123 Main St, Springfield, IL 62701", "merchantPhoneNumber": "+14155552309", "merchantEmailAddress": "peppared@example.com", "merchantWebsite": "https://www.peppared.example.com", "authCode": "003772", "source": { "typeId": 1, "type": "Api", "id": "5c6d7e8f-9a0b-4c1d-8e2f-3a4b5c6d7e81", "name": "Terminal 12" }, "cardholderAuthenticationMethodId": 0, "cardholderAuthenticationMethod": "PIN", "cvmResultMsg": "Approved", "cardDataSourceId": 2, "cardDataSource": "Swipe", "responseCode": "000", "responseDescription": "Command Successful. Approved.", "cardProcessingDetails": { "authCode": "003772", "mid": "43252511", "tid": "8820432549239101", "cardCreditDebitTypeId": 1, "cardCreditDebitType": "Credit", "processCreditDebitTypeId": 1, "processCreditDebitType": "Credit", "rrn": "10628361287F", "cardTypeId": 1, "cardType": "Visa" }, "achProcessingDetails": { "customerAccountNumber": "5413591081013511", "customerRoutingNumber": "026009593", "accountHolderType": "Business", "accountHolderTypeId": 1, "accountType": "Checking", "accountTypeId": 1, "taxId": "98-7654321" }, "availableOperations": [ { "typeId": 0, "type": "Refund", "availableAmount": 129.99, "suggestedTips": [ { "tipAmount": 14.5, "tipPercent": 15 } ] } ], "avsResponse": { "actionId": 1, "action": "Allow", "responseCode": "0", "groupId": 5, "group": "ValidGroup", "resultId": 1, "result": "Passed", "codeDescription": "Street Address and ZIP Code Match the information on file." }, "emvTags": { "ac": "4A2B6C8D0E1F2A3B", "tvr": "0000008000", "tsi": "6800", "aid": "A0000000031010", "applicationLabel": "VISA CREDIT", "rawTags": [ { "key": "9F26", "value": "4A2B6C8D0E1F2A3B" } ] }, "orderNumber": "ORD-10293" }, "id": "0e0034bd-028f-4809-b185-f4cca086eb33", "paymentProcessorId": "2059fcc1-5507-42be-8e4c-f4fcce245027", "date": "2025-01-27T12:05:54.322587Z", "amount": { "baseAmount": 129.99, "percentageOffAmount": 12.5, "percentageOffRate": 3.5, "cashDiscountAmount": 10.55, "cashDiscountRate": 1.5, "cashDiscountPercentage": 1.5, "surchargeAmount": 6.45, "surchargeRate": 1.5, "tipAmount": 14.5, "tipRate": 15, "taxAmount": 273.65, "taxRate": 8.5, "totalAmount": 3219.45 }, "currencyId": 1, "currencyCode": "USD", "createdBy": "string", "merchant": "Peppared Street Cafe", "merchantId": "fae7620d-ab02-4375-bc20-6ff326b917fd", "processorId": "5e9018ff-dbbb-4ff4-8cde-b10579a3fcd9", "processor": "Processor Name", "operationMode": "string", "paymentMethodTypeId": 2, "paymentMethodType": "Card", "paymentMethodName": "Cafe Peppared", "customerId": "fd9198a4-eb6f-4620-9603-4f4638289de5", "customerName": "Jane Doe", "customerCompany": "Peppared Street Cafe", "customerPan": "************3655", "customerEmail": "peppared@example.com", "customerPhone": "+14155552309", "status": "Processing", "statusId": 1, "responseCode": "000", "responseMessage": "string", "responseDescription": "Command Successful. Approved.", "avsResponseCode": "Y", "availableStates": [ "string" ], "refunded": true, "cardType": "Visa", "typeId": 1, "type": "Card", "creditDebitTypeId": 0, "creditDebitTypeType": "string", "authCode": "003772", "mid": "43252511", "tid": "8820432549239101", "referenceId": "REF-10293", "availableOperations": [ { "typeId": 0, "type": "Refund", "availableAmount": 129.99, "suggestedTips": [ { "tipAmount": 14.5, "tipPercent": 15 } ] } ], "avsResponse": { "actionId": 1, "action": "Allow", "responseCode": "0", "groupId": 5, "group": "ValidGroup", "resultId": 1, "result": "Passed", "codeDescription": "Street Address and ZIP Code Match the information on file." }, "histories": [ { "id": "c7c15dd0-03e7-4e55-917c-54bedafba5e7", "transactionDateTime": "2026-02-19T20:24:52.934Z", "transactionAmount": 25, "transactionTypeId": 5, "transactionType": "Refund", "transactionStatusId": 2, "transactionStatus": "Captured" } ] } }